## inteltool 0.0+r4091

=== Makefile ===
#
# Makefile for inteltool utility
#
# Copyright (C) 2008 by coresystems GmbH 
# written by Stefan Reinauer <stepan@coresystems.de> 
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

PROGRAM = inteltool

CC      = gcc
INSTALL = /usr/bin/install
PREFIX  = /usr/local
CFLAGS  = -O2 -g -Wall -W
LDFLAGS = -lpci -lz 

OBJS = inteltool.o cpu.o gpio.o rootcmplx.o powermgt.o memory.o pcie.o

OS_ARCH	= $(shell uname)
ifeq ($(OS_ARCH), Darwin)
CFLAGS += -DDARWIN -I/usr/local/include 
LDFLAGS = -framework IOKit -framework DirectIO -L/usr/local/lib -lpci -lz
# OBJS += darwinio.o
endif

all: pciutils dep $(PROGRAM)

$(PROGRAM): $(OBJS)
	$(CC) -o $(PROGRAM) $(OBJS) $(LDFLAGS)

clean:
	rm -f $(PROGRAM) *.o *~

distclean: clean
	rm -f .dependencies

dep:
	@$(CC) $(CFLAGS) -MM *.c > .dependencies

pciutils:
	@printf "\nChecking for pciutils and zlib... "
	@$(shell ( printf "#include <pci/pci.h>\n";		\
		   printf "struct pci_access *pacc;\n";		\
		   printf "int main(int argc, char **argv)\n";	\
		   printf "{ pacc = pci_alloc(); return 0; }\n"; ) > .test.c )
	@$(CC) $(CFLAGS) .test.c -o .test $(LDFLAGS) &>/dev/null &&	  \
		printf "found.\n" || ( printf "not found.\n\n"; 	  \
		printf "Please install pciutils-devel and zlib-devel.\n"; \
		printf "See README for more information.\n\n";		  \
		rm -f .test.c .test; exit 1)
	@rm -rf .test.c .test .test.dSYM

install: $(PROGRAM)
	$(INSTALL) $(PROGRAM) $(DESTDIR)$(PREFIX)/sbin
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man8
	$(INSTALL) $(PROGRAM).8 $(DESTDIR)$(PREFIX)/share/man/man8

.PHONY: all clean distclean dep pciutils

-include .dependencies

## inteltool 20140825

=== Makefile ===
#
# Makefile for inteltool utility
#
# Copyright (C) 2008 by coresystems GmbH
# written by Stefan Reinauer <stepan@coresystems.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

PROGRAM = inteltool

CC      ?= gcc
INSTALL ?= /usr/bin/install
PREFIX  ?= /usr/local
CFLAGS  ?= -O2 -g -Wall -W
LDFLAGS += -lpci -lz

OBJS = inteltool.o cpu.o gpio.o rootcmplx.o powermgt.o memory.o pcie.o amb.o

OS_ARCH	= $(shell uname)
ifeq ($(OS_ARCH), Darwin)
LDFLAGS += -framework DirectHW
endif
ifeq ($(OS_ARCH), FreeBSD)
CFLAGS += -I/usr/local/include
LDFLAGS += -L/usr/local/lib
LIBS = -lz
endif

all: pciutils dep $(PROGRAM)

$(PROGRAM): $(OBJS)
	$(CC) $(CFLAGS) -o $(PROGRAM) $(OBJS) $(LDFLAGS)

clean:
	rm -f $(PROGRAM) *.o *~

distclean: clean
	rm -f .dependencies

dep:
	@$(CC) $(CFLAGS) -MM *.c > .dependencies

define LIBPCI_TEST
/* Avoid a failing test due to libpci header symbol shadowing breakage */
#define index shadow_workaround_index
#include <pci/pci.h>
struct pci_access *pacc;
int main(int argc, char **argv)
{
	(void) argc;
	(void) argv;
	pacc = pci_alloc();
	return 0;
}
endef
export LIBPCI_TEST

pciutils:
	@printf "\nChecking for pciutils and zlib... "
	@echo "$$LIBPCI_TEST" > .test.c
	@$(CC) $(CFLAGS) .test.c -o .test $(LDFLAGS) >/dev/null 2>&1 &&	  \
		printf "found.\n" || ( printf "not found.\n\n"; 	  \
		printf "Please install pciutils-devel and zlib-devel.\n"; \
		printf "See README for more information.\n\n";		  \
		rm -f .test.c .test; exit 1)
	@rm -rf .test.c .test .test.dSYM

install: $(PROGRAM)
	mkdir -p $(DESTDIR)$(PREFIX)/sbin
	$(INSTALL) $(PROGRAM) $(DESTDIR)$(PREFIX)/sbin
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man8
	$(INSTALL) -p -m644 $(PROGRAM).8 $(DESTDIR)$(PREFIX)/share/man/man8

.PHONY: all clean distclean dep pciutils

-include .dependencies

=== debian/changelog ===
inteltool (1:20140825-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:29:12 +0000

inteltool (1:20140825-1) unstable; urgency=medium

  * Acknowledge NMUs.
  * New upstream release.
  * Add an epoch, switch to date-based version numbers.
  * Standards-Version: 3.9.6 (no changes required).
  * debian/copyright: Update, use machine-readable format (DEP-5).
  * debian/rules: Updates, drop deprecated cdbs simple-patchsys.mk.

 -- Uwe Hermann <uwe@debian.org>  Mon, 27 Oct 2014 22:59:40 +0100

inteltool (0.0+r4091-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Restrict architectures to any-amd64 and any-i386. (Closes: #559958)

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 10 Sep 2011 15:36:29 +0200

inteltool (0.0+r4091-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced cpu.c with latest upstream subversion revision (Closes: #528856).

 -- Michael Banck <mbanck@debian.org>  Sun, 29 Nov 2009 01:00:59 +0100

inteltool (0.0+r4091-1) unstable; urgency=low

  * Initial release (Closes: #523525).

 -- Uwe Hermann <uwe@debian.org>  Fri, 10 Apr 2009 21:13:04 +0200

=== debian/control ===
Source: inteltool
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Uwe Hermann <uwe@debian.org>
Build-Depends: cdbs, debhelper (>= 9), libpci-dev
Standards-Version: 3.9.6
Homepage: http://coreboot.org/Inteltool

Package: inteltool
Architecture: any-amd64 any-i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dump Intel CPU / chipset configuration parameters
 inteltool is a tool for dumping the configuration space of
 Intel CPUs, northbridges and southbridges.
 .
 This includes register contents of e.g. GPIO, RCBA, PMBASE, MCHBAR, EPBAR,
 DMIBAR, PCIEXBAR, and more.
 .
 It has been developed for the coreboot project (see http://coreboot.org for
 details on coreboot), but may also be useful for other purposes.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_MAKE_INSTALL_TARGET := install PREFIX=$(CURDIR)/debian/inteltool/usr

LDFLAGS += -lpci

clean::
	rm -f .dependencies

common-binary-post-install-arch:: list-missing
